/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/changepassword.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/changepassword.xml',
'<View submitLabel="Change Password" title="Change password" defaultFormHandler="xxas_login_pkg.change_password" clientAutosave="false">

  <CreateFields>
  
    <TextInput id="EMAIL_ADDRESS" label="Email" emptyValue="Enter your email address" required="true"/>
    <Password id="CURRENT_PASSWORD" label="Current Password" emptyValue="Enter your current password" required="true"/>
    <Password id="NEW_PASSWORD" label="New Password" emptyValue="Enter your new password" required="true" description="Must be 8+ characters, at least 1 number, no repeat characters"/>
    
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/changepassword.xml');
END;
/
COMMIT;
EXIT;
